#ifndef __MSC_USB_H__
#define __MSC_USB_H__




extern volatile int USB_EP1_CurrentBank;
extern volatile int USB_EP2_CurrentBank;


extern uint8_t USB_EP2_Buffer[0x40];

void mscEnumerate(void);
void USB_SendStall(uint8_t ep);
uint32_t USB_DataOut(uint8_t *pData);
uint16_t USB_DataOutLimit(uint8_t *pData, uint16_t limit);
uint32_t USB_DataIn(uint8_t *pData, uint32_t length);


#endif


