#include "Board.h"


void init(void)
{
	// enable peripheral clock for PIO controller
	AT91C_BASE_PMC->PMC_PCER = (1<<AT91C_ID_PIOB);
	// enable reset-key on board 
	AT91C_BASE_RSTC->RSTC_RMR = (0xA5000000 | AT91C_RSTC_URSTEN);
	//initialize LED
	LED_R_INIT;

}


int main( void )
{
	init();
	for(;;)
	{
		LED_R_ON;
		delay_ms(100);
		LED_R_OFF;
		delay_ms(100);
	}
	return(0);
}


