#ifndef __ADC_H__
#define __ADC_H__

#define ADC_RESOLUTION_10_BIT   1
#define SAMPLING_RATE_MIN		6UL
#define SAMPLING_RATE_MAX		300000UL

#define ADC						AT91C_BASE_ADC
#define ADC_ID					AT91C_ID_ADC


uint16_t adcGet(uint8_t channel);
uint8_t adcSetSamplingRate(uint32_t sps);
void adcSamplingInit(uint8_t channel);
void adcDmaStart(uint8_t channel, uint32_t samplingRate, void(*isrFunc)());
void adcDmaStop(void);


#endif

