#ifndef ONE_WIRE_H
#define ONE_WIRE_H



//ROM commands
#define ONE_WIRE_CMD_READ_ROM           0x33
#define ONE_WIRE_CMD_MATCH_ROM          0x55
#define ONE_WIRE_CMD_SKIP_ROM           0xCC



inline void owInit(void);
uint8_t owPresence(void);
void owWrite(uint8_t dat);
uint8_t owRead(void);
uint8_t owCheckCrc(uint8_t *rom);
uint8_t owReadRom(uint8_t *rom);
inline void owStrongPullupOn(void);
inline void owStrongPullupOff(void);



#endif

